Subject: principal components & least-square proc.

From: "[email-masked]" <[email-masked]>
Date: Fri, 4 Aug 1995 11:12:15 +1

Dear Netters,

I have got several answers to my yesterday question
on principal components. I will send a summary for those
who are interested in the problem. However there is a
point I should shed more light to. The problem in question
is, as several people realized, the construction of a
best-fit plain to points in the 3D space. Some answers
suggested that this is an ordinary least-square fitting
problem in 3D. It is not so simple. It would be very easy
to explain it with pen & paper, I try now in words.

Imagine a normal least-square procedure: we have a number
of experimental data, and we construct the linear
regression equation y=ax+b. So we have the points 
in the x-y system, and the regression line:

y
|          ./
|      .   /
|       . /
|        /
|       /
|     ./  .
|     / .
|   ./
|_________________________________________x

(If the illustration looks awfull, switch to the fixed
system font or fixed courier)

According to the math of the normal least square procedure,
as far as I know,
NOT the distances of the points and the line are minimized 
(i.e. a perdendicular from a point to the line), but the 
difference of the measured and the calculated y values,
which is represented graphically by a line between the point
and the regression line and it is parallel with the y axis:

y
|           /
|      .   /
|      |  /
|      | /
|      |/
|      / 
|     /  
|    
|_________________________________________x

(Sorry, if my English is similar to the flight of a
penquin, but I hope it can be understand.) The same
applies in 3D,4D etc situations. One of the consequences
is for example that if I rotate the data set, the
regression line (plane) will not
rotate accordingly, but funny results can be obtained.
This is the reason why I asked for help concerning the
principal component method in my yesterday e-mail.
(Although I like math, I am a chemist first and foremost)

Best wishes 

Tamas

*****************************************************************************
   Tamas E. Gunda, Ph.D.               phone: (+36-52) 316666 ext 2479
   Research Group of Antibiotics       fax  : (+36-52) 310936
   L. Kossuth University               e-mail: [email-masked]
   POBox 36                                   
   H-4010 Debrecen
   Hungary
*****************************************************************************